/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SubscribeInput } from "../types/SubscribeInput";
import { SubscribeOutput } from "../types/SubscribeOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/SubscribeInput";
export * from "../types/SubscribeOutput";
export * from "../types/SubscribeExceptionsUnion";
export declare class SubscribeCommand implements __aws_sdk_types.Command<InputTypesUnion, SubscribeInput, OutputTypesUnion, SubscribeOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: SubscribeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SubscribeInput, SubscribeOutput, _stream.Readable>;
    constructor(input: SubscribeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<SubscribeInput, SubscribeOutput>;
}
