/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UnsubscribeInput } from "../types/UnsubscribeInput";
import { UnsubscribeOutput } from "../types/UnsubscribeOutput";
import { SNSResolvedConfiguration } from "../SNSConfiguration";
export * from "../types/UnsubscribeInput";
export * from "../types/UnsubscribeOutput";
export * from "../types/UnsubscribeExceptionsUnion";
export declare class UnsubscribeCommand implements __aws_sdk_types.Command<InputTypesUnion, UnsubscribeInput, OutputTypesUnion, UnsubscribeOutput, SNSResolvedConfiguration, _stream.Readable> {
    readonly input: UnsubscribeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UnsubscribeInput, UnsubscribeOutput, _stream.Readable>;
    constructor(input: UnsubscribeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: SNSResolvedConfiguration): __aws_sdk_types.Handler<UnsubscribeInput, UnsubscribeOutput>;
}
